using namespace std;

#include <stdio.h>
#include <math.h>





int main()
{
    int n;
    int m;
    
    FILE *f;
    f=fopen("recnik.in","r");
    fscanf(f,"%d",n);
    
    f=fopen("recnik.out","w");
    
    
    if(n==2)
    {
            fprintf(f,"%s\n","dvosmislen");
            fprintf(f,"%s\n","nedvosmislen");
    } 
    
    else
    {
        for(int i=1;i<=n;i++)
        { 
                
                
                if(i%2==0) fprintf(f,"%s\n","dvosmislen");
                else fprintf(f,"%s\n","nedvosmislen");
        }
    }
}
